> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Attribute

> Update Attribute



## OpenAPI

````yaml /openapi/openapi_location_admin.json put /commerce/admin/vendors/attributedefinition/attributes/{attributeFQN}
openapi: 3.0.1
info:
  description: |-
    <div id="overview_LOCATION_ADMIN">
                <h2>LOCATION ADMINISTRATION</h2>
                <p>The Location and Location Groups APIs enable tenants to associate a physical address with product inventory,
                    provide a store finder for in-store pickup, or both and manage these locations at individual and group levels. See the
                    <a href="/pages/locations">Location user guides</a>
                    for information about the related feature in the Unified Commerce Admin.</p>
                <p>The <strong>Location Admin</strong>
                    resource
                    allows information about the individual locations to be accessed and edited, including creating new
                    locations.</p>
                <p>Use the <strong>Location Group</strong> and <strong>Location Group Configuration</strong> resources to manage groups, or sets of similar fulfillment locations that are bundled together
                    to improve efficiency of managing configurations based on catalogs, custom fulfillment flows,
                    available carrier options, and so forth.</p>
                <p>Use the <strong>Location Types</strong> resource to manage the types of locations your tenant maintains, such as
                    warehouses,
                    physical storefronts, and kiosks.</p>
                <p>Use the <strong>Location Settings</strong> resource to to define the available usages; or the locations and
                        location types that interact
                        with a specified site.</p>
            </div>
  title: Location Admin
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/admin/vendors/attributedefinition/attributes/{attributeFQN}:
    put:
      tags:
        - VendorAttributeDefinition
      summary: Update Attribute
      description: Update Attribute
      parameters:
        - in: path
          name: attributeFQN
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LocationAdminAttribute'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LocationAdminAttribute'
            text/json:
              schema:
                $ref: '#/components/schemas/LocationAdminAttribute'
            text/plain:
              schema:
                $ref: '#/components/schemas/LocationAdminAttribute'
          description: OK
components:
  schemas:
    LocationAdminAttribute:
      properties:
        adminName:
          maxLength: 50
          nullable: true
          type: string
        attributeCode:
          maxLength: 50
          minLength: 1
          type: string
        attributeFQN:
          nullable: true
          type: string
        attributeMetadata:
          items:
            $ref: '#/components/schemas/AttributeMetadataItem'
          nullable: true
          type: array
        auditInfo:
          $ref: '#/components/schemas/ApiContractsAuditInfo'
        availableForDiscounts:
          type: boolean
        availableForOrderRouting:
          type: boolean
        availableInRules:
          type: boolean
        content:
          $ref: '#/components/schemas/AttributeLocalizedContent'
        dataType:
          nullable: true
          type: string
        displayGroup:
          minLength: 1
          type: string
        entityConfigs:
          items:
            $ref: '#/components/schemas/AttributeEntityConfig'
          nullable: true
          type: array
        id:
          format: int32
          nullable: true
          type: integer
        inheritanceRules:
          items:
            $ref: '#/components/schemas/AttributeInheritanceRule'
          nullable: true
          type: array
        inputType:
          nullable: true
          type: string
        isActive:
          nullable: true
          type: boolean
        isMultiValued:
          nullable: true
          type: boolean
        isReadOnly:
          type: boolean
        isRequired:
          nullable: true
          type: boolean
        isVisible:
          nullable: true
          type: boolean
        namespace:
          maxLength: 200
          nullable: true
          type: string
        order:
          format: int32
          nullable: true
          type: integer
        validation:
          $ref: '#/components/schemas/AttributeValidation'
        valueType:
          minLength: 1
          type: string
        vocabularyValues:
          items:
            $ref: '#/components/schemas/AttributeVocabularyValue'
          nullable: true
          type: array
      required:
        - attributeCode
        - displayGroup
        - valueType
      type: object
    AttributeMetadataItem:
      properties:
        key:
          maxLength: 50
          minLength: 1
          type: string
        value:
          minLength: 1
          type: string
      required:
        - key
        - value
      type: object
    ApiContractsAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    AttributeLocalizedContent:
      properties:
        localeCode:
          maxLength: 8
          nullable: true
          type: string
        value:
          maxLength: 100
          nullable: true
          type: string
      type: object
    AttributeEntityConfig:
      properties:
        auditInfo:
          $ref: '#/components/schemas/CoreAuditInfo'
        editable:
          type: boolean
        entityType:
          nullable: true
          type: string
        id:
          format: int32
          nullable: true
          type: integer
      type: object
    AttributeInheritanceRule:
      properties:
        auditInfo:
          $ref: '#/components/schemas/CoreAuditInfo'
        id:
          format: int32
          nullable: true
          type: integer
        inheritanceMode:
          nullable: true
          type: string
        sourceEntityType:
          nullable: true
          type: string
        targetEntityType:
          nullable: true
          type: string
      type: object
    AttributeValidation:
      properties:
        maxDateTime:
          format: date-time
          nullable: true
          type: string
        maxNumericValue:
          format: double
          nullable: true
          type: number
        maxStringLength:
          format: int32
          nullable: true
          type: integer
        minDateTime:
          format: date-time
          nullable: true
          type: string
        minNumericValue:
          format: double
          nullable: true
          type: number
        minStringLength:
          format: int32
          nullable: true
          type: integer
        regularExpression:
          maxLength: 200
          nullable: true
          type: string
      type: object
    AttributeVocabularyValue:
      properties:
        content:
          $ref: '#/components/schemas/AttributeValueLocalizedContent'
        isHidden:
          nullable: true
          type: boolean
        sequence:
          format: int32
          nullable: true
          type: integer
        value:
          maxLength: 50
          minLength: 1
          type: string
      required:
        - value
      type: object
    CoreAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    AttributeValueLocalizedContent:
      properties:
        localeCode:
          minLength: 1
          type: string
        value:
          minLength: 1
          type: string
      required:
        - localeCode
        - value
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````